<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.plugin.masterData.dao.impl.MdmDaoImpl">

    <resultMap id="get-MdmCustomerEntity-result" type="com.hzya.frame.plugin.masterData.entity.MdmEntity" >
       <result property="id" column="id" jdbcType="VARCHAR"/>
           <result property="documentRule" column="document_rule" jdbcType="VARCHAR"/>
           <result property="documentRuleNum" column="document_rule_num" jdbcType="INTEGER"/>
           <result property="dataStatus" column="data_status" jdbcType="VARCHAR"/>
           <result property="addStatus" column="add_status" jdbcType="VARCHAR"/>
           <result property="updateStatus" column="update_status" jdbcType="VARCHAR"/>
           <result property="deleteStatus" column="delete_status" jdbcType="VARCHAR"/>
           <result property="sorts" column="sorts" jdbcType="INTEGER"/>
           <result property="create_user_id" column="create_user_id" jdbcType="VARCHAR"/>
           <result property="create_time" column="create_time" jdbcType="TIMESTAMP"/>
           <result property="modify_user_id" column="modify_user_id" jdbcType="VARCHAR"/>
           <result property="modify_time" column="modify_time" jdbcType="TIMESTAMP"/>
           <result property="sts" column="sts" jdbcType="VARCHAR"/>
           <result property="org_id" column="org_id" jdbcType="VARCHAR"/>
           <result property="companyId" column="company_id" jdbcType="VARCHAR"/>
           <result property="code" column="code" jdbcType="VARCHAR"/>
           <result property="custprop" column="custprop" jdbcType="VARCHAR"/>
           <result property="custstate" column="custstate" jdbcType="VARCHAR"/>
           <result property="enablestate" column="enablestate" jdbcType="VARCHAR"/>
           <result property="name" column="name" jdbcType="VARCHAR"/>
           <result property="pkCountry" column="pk_country" jdbcType="VARCHAR"/>
           <result property="pkCustclass" column="pk_custclass" jdbcType="VARCHAR"/>
           <result property="pkGroup" column="pk_group" jdbcType="VARCHAR"/>
           <result property="pkOrg" column="pk_org" jdbcType="VARCHAR"/>
           <result property="taxpayerid" column="taxpayerid" jdbcType="VARCHAR"/>
        </resultMap>
    <!-- 查询的字段-->
    <sql id = "MdmCustomerEntity_Base_Column_List">
        id
       ,document_rule 
        ,document_rule_num 
        ,data_status 
        ,add_status 
        ,update_status 
        ,delete_status 
        ,sorts 
        ,create_user_id 
        ,create_time 
        ,modify_user_id 
        ,modify_time 
        ,sts 
        ,org_id 
        ,company_id 
        ,code 
        ,custprop 
        ,custstate 
        ,enablestate 
        ,name 
        ,pk_country 
        ,pk_custclass 
        ,pk_group 
        ,pk_org 
        ,taxpayerid 
     </sql>
 <!-- 查询 采用==查询 -->
 <select id="entity_list_base" resultMap="get-MdmCustomerEntity-result" parameterType = "com.hzya.frame.plugin.masterData.entity.MdmEntity">
    select
    <include refid="MdmCustomerEntity_Base_Column_List" />
    from mdm_customer
    <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="documentRule != null and documentRule != ''"> and document_rule = #{documentRule} </if>
            <if test="documentRuleNum != null"> and document_rule_num = #{documentRuleNum} </if>
            <if test="dataStatus != null and dataStatus != ''"> and data_status = #{dataStatus} </if>
            <if test="addStatus != null and addStatus != ''"> and add_status = #{addStatus} </if>
            <if test="updateStatus != null and updateStatus != ''"> and update_status = #{updateStatus} </if>
            <if test="deleteStatus != null and deleteStatus != ''"> and delete_status = #{deleteStatus} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id = #{create_user_id} </if>
            <if test="create_time != null"> and create_time = #{create_time} </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id = #{modify_user_id} </if>
            <if test="modify_time != null"> and modify_time = #{modify_time} </if>
            <if test="sts != null and sts != ''"> and sts = #{sts} </if>
            <if test="org_id != null and org_id != ''"> and org_id = #{org_id} </if>
            <if test="companyId != null and companyId != ''"> and company_id = #{companyId} </if>
            <if test="code != null and code != ''"> and code = #{code} </if>
            <if test="custprop != null and custprop != ''"> and custprop = #{custprop} </if>
            <if test="custstate != null and custstate != ''"> and custstate = #{custstate} </if>
            <if test="enablestate != null and enablestate != ''"> and enablestate = #{enablestate} </if>
            <if test="name != null and name != ''"> and name = #{name} </if>
            <if test="pkCountry != null and pkCountry != ''"> and pk_country = #{pkCountry} </if>
            <if test="pkCustclass != null and pkCustclass != ''"> and pk_custclass = #{pkCustclass} </if>
            <if test="pkGroup != null and pkGroup != ''"> and pk_group = #{pkGroup} </if>
            <if test="pkOrg != null and pkOrg != ''"> and pk_org = #{pkOrg} </if>
            <if test="taxpayerid != null and taxpayerid != ''"> and taxpayerid = #{taxpayerid} </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>
    
<!-- 查询符合条件的数量 -->
<select id="entity_count" resultType="Integer" parameterType = "com.hzya.frame.plugin.masterData.entity.MdmEntity">
        select  count(1)   from mdm_customer
    <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="documentRule != null and documentRule != ''"> and document_rule = #{documentRule} </if>
            <if test="documentRuleNum != null"> and document_rule_num = #{documentRuleNum} </if>
            <if test="dataStatus != null and dataStatus != ''"> and data_status = #{dataStatus} </if>
            <if test="addStatus != null and addStatus != ''"> and add_status = #{addStatus} </if>
            <if test="updateStatus != null and updateStatus != ''"> and update_status = #{updateStatus} </if>
            <if test="deleteStatus != null and deleteStatus != ''"> and delete_status = #{deleteStatus} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id = #{create_user_id} </if>
            <if test="create_time != null"> and create_time = #{create_time} </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id = #{modify_user_id} </if>
            <if test="modify_time != null"> and modify_time = #{modify_time} </if>
            <if test="sts != null and sts != ''"> and sts = #{sts} </if>
            <if test="org_id != null and org_id != ''"> and org_id = #{org_id} </if>
            <if test="companyId != null and companyId != ''"> and company_id = #{companyId} </if>
            <if test="code != null and code != ''"> and code = #{code} </if>
            <if test="custprop != null and custprop != ''"> and custprop = #{custprop} </if>
            <if test="custstate != null and custstate != ''"> and custstate = #{custstate} </if>
            <if test="enablestate != null and enablestate != ''"> and enablestate = #{enablestate} </if>
            <if test="name != null and name != ''"> and name = #{name} </if>
            <if test="pkCountry != null and pkCountry != ''"> and pk_country = #{pkCountry} </if>
            <if test="pkCustclass != null and pkCustclass != ''"> and pk_custclass = #{pkCustclass} </if>
            <if test="pkGroup != null and pkGroup != ''"> and pk_group = #{pkGroup} </if>
            <if test="pkOrg != null and pkOrg != ''"> and pk_org = #{pkOrg} </if>
            <if test="taxpayerid != null and taxpayerid != ''"> and taxpayerid = #{taxpayerid} </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null "> order by ${sort} ${order}</if>
    </select>

    <!-- 分页查询列表 采用like格式 -->
<select id="entity_list_like" resultMap="get-MdmCustomerEntity-result" parameterType = "com.hzya.frame.plugin.masterData.entity.MdmEntity">
    select
    <include refid="MdmCustomerEntity_Base_Column_List" />
    from mdm_customer
    <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id like concat('%',#{id},'%') </if>
            <if test="documentRule != null and documentRule != ''"> and document_rule like concat('%',#{documentRule},'%') </if>
            <if test="documentRuleNum != null"> and document_rule_num like concat('%',#{documentRuleNum},'%') </if>
            <if test="dataStatus != null and dataStatus != ''"> and data_status like concat('%',#{dataStatus},'%') </if>
            <if test="addStatus != null and addStatus != ''"> and add_status like concat('%',#{addStatus},'%') </if>
            <if test="updateStatus != null and updateStatus != ''"> and update_status like concat('%',#{updateStatus},'%') </if>
            <if test="deleteStatus != null and deleteStatus != ''"> and delete_status like concat('%',#{deleteStatus},'%') </if>
            <if test="sorts != null"> and sorts like concat('%',#{sorts},'%') </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id like concat('%',#{create_user_id},'%') </if>
            <if test="create_time != null"> and create_time like concat('%',#{create_time},'%') </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id like concat('%',#{modify_user_id},'%') </if>
            <if test="modify_time != null"> and modify_time like concat('%',#{modify_time},'%') </if>
            <if test="sts != null and sts != ''"> and sts like concat('%',#{sts},'%') </if>
            <if test="org_id != null and org_id != ''"> and org_id like concat('%',#{org_id},'%') </if>
            <if test="companyId != null and companyId != ''"> and company_id like concat('%',#{companyId},'%') </if>
            <if test="code != null and code != ''"> and code like concat('%',#{code},'%') </if>
            <if test="custprop != null and custprop != ''"> and custprop like concat('%',#{custprop},'%') </if>
            <if test="custstate != null and custstate != ''"> and custstate like concat('%',#{custstate},'%') </if>
            <if test="enablestate != null and enablestate != ''"> and enablestate like concat('%',#{enablestate},'%') </if>
            <if test="name != null and name != ''"> and name like concat('%',#{name},'%') </if>
            <if test="pkCountry != null and pkCountry != ''"> and pk_country like concat('%',#{pkCountry},'%') </if>
            <if test="pkCustclass != null and pkCustclass != ''"> and pk_custclass like concat('%',#{pkCustclass},'%') </if>
            <if test="pkGroup != null and pkGroup != ''"> and pk_group like concat('%',#{pkGroup},'%') </if>
            <if test="pkOrg != null and pkOrg != ''"> and pk_org like concat('%',#{pkOrg},'%') </if>
            <if test="taxpayerid != null and taxpayerid != ''"> and taxpayerid like concat('%',#{taxpayerid},'%') </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>

<!-- 查询列表 字段采用or格式 -->
<select id="MdmCustomerentity_list_or" resultMap="get-MdmCustomerEntity-result" parameterType = "com.hzya.frame.plugin.masterData.entity.MdmEntity">
    select
    <include refid="MdmCustomerEntity_Base_Column_List" />
    from mdm_customer
    <trim prefix="where" prefixOverrides="and"> 
         <if test="id != null and id != ''"> or id = #{id} </if>
             <if test="documentRule != null and documentRule != ''"> or document_rule = #{documentRule} </if>
             <if test="documentRuleNum != null"> or document_rule_num = #{documentRuleNum} </if>
             <if test="dataStatus != null and dataStatus != ''"> or data_status = #{dataStatus} </if>
             <if test="addStatus != null and addStatus != ''"> or add_status = #{addStatus} </if>
             <if test="updateStatus != null and updateStatus != ''"> or update_status = #{updateStatus} </if>
             <if test="deleteStatus != null and deleteStatus != ''"> or delete_status = #{deleteStatus} </if>
             <if test="sorts != null"> or sorts = #{sorts} </if>
             <if test="create_user_id != null and create_user_id != ''"> or create_user_id = #{create_user_id} </if>
              <if test="create_time != null"> or create_time = #{create_time} </if>
              <if test="modify_user_id != null and modify_user_id != ''"> or modify_user_id = #{modify_user_id} </if>
              <if test="modify_time != null"> or modify_time = #{modify_time} </if>
              <if test="sts != null and sts != ''"> or sts = #{sts} </if>
             <if test="org_id != null and org_id != ''"> or org_id = #{org_id} </if>
              <if test="companyId != null and companyId != ''"> or company_id = #{companyId} </if>
             <if test="code != null and code != ''"> or code = #{code} </if>
             <if test="custprop != null and custprop != ''"> or custprop = #{custprop} </if>
             <if test="custstate != null and custstate != ''"> or custstate = #{custstate} </if>
             <if test="enablestate != null and enablestate != ''"> or enablestate = #{enablestate} </if>
             <if test="name != null and name != ''"> or name = #{name} </if>
             <if test="pkCountry != null and pkCountry != ''"> or pk_country = #{pkCountry} </if>
             <if test="pkCustclass != null and pkCustclass != ''"> or pk_custclass = #{pkCustclass} </if>
             <if test="pkGroup != null and pkGroup != ''"> or pk_group = #{pkGroup} </if>
             <if test="pkOrg != null and pkOrg != ''"> or pk_org = #{pkOrg} </if>
             <if test="taxpayerid != null and taxpayerid != ''"> or taxpayerid = #{taxpayerid} </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString()  "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>

<!--新增所有列-->
<insert id="entity_insert" parameterType = "com.hzya.frame.plugin.masterData.entity.MdmEntity" keyProperty="id" useGeneratedKeys="true">
    insert into mdm_customer(
  <trim suffix="" suffixOverrides=",">
       <if test="id != null and id != ''"> id , </if>
            <if test="documentRule != null and documentRule != ''"> document_rule , </if>
            <if test="documentRuleNum != null"> document_rule_num , </if>
            <if test="dataStatus != null and dataStatus != ''"> data_status , </if>
            <if test="addStatus != null and addStatus != ''"> add_status , </if>
            <if test="updateStatus != null and updateStatus != ''"> update_status , </if>
            <if test="deleteStatus != null and deleteStatus != ''"> delete_status , </if>
            <if test="sorts != null"> sorts , </if>
            <if test="create_user_id != null and create_user_id != ''"> create_user_id , </if>
            <if test="create_time != null"> create_time , </if>
            <if test="modify_user_id != null and modify_user_id != ''"> modify_user_id , </if>
            <if test="modify_time != null"> modify_time , </if>
            <if test="sts != null and sts != ''"> sts , </if>
            <if test="org_id != null and org_id != ''"> org_id , </if>
            <if test="companyId != null and companyId != ''"> company_id , </if>
            <if test="code != null and code != ''"> code , </if>
            <if test="custprop != null and custprop != ''"> custprop , </if>
            <if test="custstate != null and custstate != ''"> custstate , </if>
            <if test="enablestate != null and enablestate != ''"> enablestate , </if>
            <if test="name != null and name != ''"> name , </if>
            <if test="pkCountry != null and pkCountry != ''"> pk_country , </if>
            <if test="pkCustclass != null and pkCustclass != ''"> pk_custclass , </if>
            <if test="pkGroup != null and pkGroup != ''"> pk_group , </if>
            <if test="pkOrg != null and pkOrg != ''"> pk_org , </if>
            <if test="taxpayerid != null and taxpayerid != ''"> taxpayerid , </if>
    <if test="sts == null ">sts,</if>
  </trim>
  )values(
 <trim suffix="" suffixOverrides=",">
       <if test="id != null and id != ''"> #{id} ,</if>
            <if test="documentRule != null and documentRule != ''"> #{documentRule} ,</if>
            <if test="documentRuleNum != null"> #{documentRuleNum} ,</if>
            <if test="dataStatus != null and dataStatus != ''"> #{dataStatus} ,</if>
            <if test="addStatus != null and addStatus != ''"> #{addStatus} ,</if>
            <if test="updateStatus != null and updateStatus != ''"> #{updateStatus} ,</if>
            <if test="deleteStatus != null and deleteStatus != ''"> #{deleteStatus} ,</if>
            <if test="sorts != null"> #{sorts} ,</if>
            <if test="create_user_id != null and create_user_id != ''"> #{create_user_id} ,</if>
            <if test="create_time != null"> #{create_time} ,</if>
            <if test="modify_user_id != null and modify_user_id != ''"> #{modify_user_id} ,</if>
            <if test="modify_time != null"> #{modify_time} ,</if>
            <if test="sts != null and sts != ''"> #{sts} ,</if>
            <if test="org_id != null and org_id != ''"> #{org_id} ,</if>
            <if test="companyId != null and companyId != ''"> #{companyId} ,</if>
            <if test="code != null and code != ''"> #{code} ,</if>
            <if test="custprop != null and custprop != ''"> #{custprop} ,</if>
            <if test="custstate != null and custstate != ''"> #{custstate} ,</if>
            <if test="enablestate != null and enablestate != ''"> #{enablestate} ,</if>
            <if test="name != null and name != ''"> #{name} ,</if>
            <if test="pkCountry != null and pkCountry != ''"> #{pkCountry} ,</if>
            <if test="pkCustclass != null and pkCustclass != ''"> #{pkCustclass} ,</if>
            <if test="pkGroup != null and pkGroup != ''"> #{pkGroup} ,</if>
            <if test="pkOrg != null and pkOrg != ''"> #{pkOrg} ,</if>
            <if test="taxpayerid != null and taxpayerid != ''"> #{taxpayerid} ,</if>
    <if test="sts == null ">'Y',</if>
  </trim>
  )  
</insert>
<!-- 批量新增 -->
<insert id="entityInsertBatch" keyProperty="id" useGeneratedKeys="true">
  insert into mdm_customer(document_rule, document_rule_num, data_status, add_status, update_status, delete_status, create_user_id, create_time, modify_user_id, modify_time, sts, org_id, company_id, code, custprop, custstate, enablestate, name, pk_country, pk_custclass, pk_group, pk_org, taxpayerid,  sts) 
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.documentRule},#{entity.documentRuleNum},#{entity.dataStatus},#{entity.addStatus},#{entity.updateStatus},#{entity.deleteStatus},#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id},#{entity.companyId},#{entity.code},#{entity.custprop},#{entity.custstate},#{entity.enablestate},#{entity.name},#{entity.pkCountry},#{entity.pkCustclass},#{entity.pkGroup},#{entity.pkOrg},#{entity.taxpayerid}, 'Y')
    </foreach>
</insert>
<!-- 批量新增或者修改-->
<insert id="entityInsertOrUpdateBatch" keyProperty="id" useGeneratedKeys="true">
    insert into mdm_customer(document_rule, document_rule_num, data_status, add_status, update_status, delete_status, create_user_id, create_time, modify_user_id, modify_time, sts, org_id, company_id, code, custprop, custstate, enablestate, name, pk_country, pk_custclass, pk_group, pk_org, taxpayerid)
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.documentRule},#{entity.documentRuleNum},#{entity.dataStatus},#{entity.addStatus},#{entity.updateStatus},#{entity.deleteStatus},#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id},#{entity.companyId},#{entity.code},#{entity.custprop},#{entity.custstate},#{entity.enablestate},#{entity.name},#{entity.pkCountry},#{entity.pkCustclass},#{entity.pkGroup},#{entity.pkOrg},#{entity.taxpayerid})
    </foreach>
    on duplicate key update
    document_rule = values(document_rule),
    document_rule_num = values(document_rule_num),
    data_status = values(data_status),
    add_status = values(add_status),
    update_status = values(update_status),
    delete_status = values(delete_status),
    create_user_id = values(create_user_id),
    create_time = values(create_time),
    modify_user_id = values(modify_user_id),
    modify_time = values(modify_time),
    sts = values(sts),
    org_id = values(org_id),
    company_id = values(company_id),
    code = values(code),
    custprop = values(custprop),
    custstate = values(custstate),
    enablestate = values(enablestate),
    name = values(name),
    pk_country = values(pk_country),
    pk_custclass = values(pk_custclass),
    pk_group = values(pk_group),
    pk_org = values(pk_org),
    taxpayerid = values(taxpayerid)</insert>
<!--通过主键修改方法-->
<update id="entity_update" parameterType = "com.hzya.frame.plugin.masterData.entity.MdmEntity" >
update mdm_customer  set
<trim suffix="" suffixOverrides=",">
  <if test="documentRule != null and documentRule != ''"> document_rule = #{documentRule},</if>
  <if test="documentRuleNum != null"> document_rule_num = #{documentRuleNum},</if>
  <if test="dataStatus != null and dataStatus != ''"> data_status = #{dataStatus},</if>
  <if test="addStatus != null and addStatus != ''"> add_status = #{addStatus},</if>
  <if test="updateStatus != null and updateStatus != ''"> update_status = #{updateStatus},</if>
  <if test="deleteStatus != null and deleteStatus != ''"> delete_status = #{deleteStatus},</if>
  <if test="create_user_id != null and create_user_id != ''"> create_user_id = #{create_user_id},</if>
    <if test="create_time != null"> create_time = #{create_time},</if>
    <if test="modify_user_id != null and modify_user_id != ''"> modify_user_id = #{modify_user_id},</if>
    <if test="modify_time != null"> modify_time = #{modify_time},</if>
    <if test="sts != null and sts != ''"> sts = #{sts},</if>
  <if test="org_id != null and org_id != ''"> org_id = #{org_id},</if>
    <if test="companyId != null and companyId != ''"> company_id = #{companyId},</if>
  <if test="code != null and code != ''"> code = #{code},</if>
  <if test="custprop != null and custprop != ''"> custprop = #{custprop},</if>
  <if test="custstate != null and custstate != ''"> custstate = #{custstate},</if>
  <if test="enablestate != null and enablestate != ''"> enablestate = #{enablestate},</if>
  <if test="name != null and name != ''"> name = #{name},</if>
  <if test="pkCountry != null and pkCountry != ''"> pk_country = #{pkCountry},</if>
  <if test="pkCustclass != null and pkCustclass != ''"> pk_custclass = #{pkCustclass},</if>
  <if test="pkGroup != null and pkGroup != ''"> pk_group = #{pkGroup},</if>
  <if test="pkOrg != null and pkOrg != ''"> pk_org = #{pkOrg},</if>
  <if test="taxpayerid != null and taxpayerid != ''"> taxpayerid = #{taxpayerid},</if>
</trim>
where id = #{id}
</update>
<!-- 逻辑删除 -->
<update id="entity_logicDelete" parameterType = "com.hzya.frame.plugin.masterData.entity.MdmEntity" >
update mdm_customer  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
where id = #{id}
</update>
<!-- 多条件逻辑删除 -->
<update id="entity_logicDelete_Multi_Condition" parameterType = "com.hzya.frame.plugin.masterData.entity.MdmEntity" >
update mdm_customer  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
 <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="documentRule != null and documentRule != ''"> and document_rule = #{documentRule} </if>
            <if test="documentRuleNum != null"> and document_rule_num = #{documentRuleNum} </if>
            <if test="dataStatus != null and dataStatus != ''"> and data_status = #{dataStatus} </if>
            <if test="addStatus != null and addStatus != ''"> and add_status = #{addStatus} </if>
            <if test="updateStatus != null and updateStatus != ''"> and update_status = #{updateStatus} </if>
            <if test="deleteStatus != null and deleteStatus != ''"> and delete_status = #{deleteStatus} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
                                                                <if test="sts != null and sts != ''"> and sts = #{sts} </if>
                         <if test="companyId != null and companyId != ''"> and company_id = #{companyId} </if>
            <if test="code != null and code != ''"> and code = #{code} </if>
            <if test="custprop != null and custprop != ''"> and custprop = #{custprop} </if>
            <if test="custstate != null and custstate != ''"> and custstate = #{custstate} </if>
            <if test="enablestate != null and enablestate != ''"> and enablestate = #{enablestate} </if>
            <if test="name != null and name != ''"> and name = #{name} </if>
            <if test="pkCountry != null and pkCountry != ''"> and pk_country = #{pkCountry} </if>
            <if test="pkCustclass != null and pkCustclass != ''"> and pk_custclass = #{pkCustclass} </if>
            <if test="pkGroup != null and pkGroup != ''"> and pk_group = #{pkGroup} </if>
            <if test="pkOrg != null and pkOrg != ''"> and pk_org = #{pkOrg} </if>
            <if test="taxpayerid != null and taxpayerid != ''"> and taxpayerid = #{taxpayerid} </if>
            and sts='Y'
    </trim>
</update>
<!--通过主键删除-->
<delete id="entity_delete">
    delete from mdm_customer where id = #{id}
</delete>

</mapper>

